--Select for Bulletin
-- select p.priority, p.head, p.publishdate, p.text, u.name 
-- from posts p, users u 
-- where p.state='published'
--   and p.publishDate < now( )
--   and p.unpublishedDate > now( )
--   and p.userId=u.Id
-- order by p.priority asc, p.publishDate desc

--Select for Edit
-- select p.id, p.date, p.publishDate, p.unpublishDate, p.head, p.text, 
--	  p.userId, p.state, p.student, p.staff, p.parent, p.priority, 
--	  u.name, u.staff
-- from posts p, users u
-- where ( p.state='pending' and p.userId=u.Id )
--   or  ( p.state='published' and p.publishDate < now( ) and p.userId=u.Id )
-- order by publishDate

--Select for Admin
-- select p.id, p.date, p.publishDate, p.unpublishDate, p.head, p.text,
--	  p.userId, p.state, p.student, p.staff, p.parent, p.priority,
--	  u.name
-- from posts p, users u
-- where p.unpublishDate > now ( ) 
-- order by p.state desc, p.priority, publishDate desc

create table stories
(
	id		int unsigned not null auto_increment primary key,
	date		datetime not null,
	publishDate	datetime not null,
	unpublishDate	datetime not null,
	head		varchar( 64 ),
	text		text not null,
	userId		int not null,
	state		enum( 'pending', 'published', 'unpublished', 'deleted' ),
	student		enum( 't', 'f' ),
	staff		enum( 't', 'f' ),
	parent		enum( 't', 'f' ),
	priority	int
);

create table users
(
	id		int not null auto_increment Primary key,
	username	varchar( 64 ) not null,
	password	varchar( 32 ) not null,
	email		varchar( 64 ),
	first		varchar( 32 ),
	last		varchar( 32 ),
	publisher	enum( 't', 'f' ),
	staff		enum( 't', 'f' )
);

create table priorities
(
        id              int not null auto_increment Primary key,
	name		varchar( 64 )
);
