<%@ page language = "java" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.SimpleDateFormat" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.objects.*" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.CommonRoutines" %>
<%
   Locale l = Locale.US;
   SimpleDateFormat sdf = new SimpleDateFormat("EEEE, MMMM d, yyyy", l);
   String dateString = sdf.format( new Date( ) );
   User u = (User) request.getSession( ).getAttribute( "org.stonybrookschool.dailyBulletin.objects.user" );
   String edition = (String) request.getSession( ).getAttribute( "edition" );
   Vector sv = (Vector) request.getAttribute( "storyVector" );
%>

<html>

<head>
 <title>SBS Daily Bulletin: Publish Stories</title>
</head>

<body bgcolor="#ffffff" link="#000000" vlink="#000000" alink="#000000" text="#000000">

<center>
<table width="600" border="0" cellspacing="0" cellpadding="0" link="#ffffff" vlink="#ffffff" alink="#ffffff" text="#ffffff">
 <tr>
  <td colspan="2"><a href="/dailyBulletin"><img src="/dailyBulletin/images/editList.gif" width="600" height="75" border="0"></a></td>
 </tr>
 <tr>
  <td width="600" bgcolor="#ccccff">
   <font face="arial" size="2"> <%= u.getFirst( ) %> <%= u.getLast( ) %>
<% if ( "t".equals( u.getPublisher( ) ) ) { %>
    [ <a href="/dailyBulletin?page=admin">Admin</a> ]
<% } %>
    [ <a href="/dailyBulletin?page=edit">Edit</a> ]
    [ <a href="/dailyBulletin?page=editStory&storyId=0">New</a> ]
    [ <a href="/dailyBulletin?page=logout">Logout</a> ]
  </td>
  <td align="right" bgcolor="#ccccff">
   <nobr><font face="arial" size="2"><%= dateString %></font></nobr>
  </td>
 </tr>
 <form action="http://www.google.com/search" method="get">
 <tr>
  <td bgcolor="#555588" colspan="2">
   <table width="600" border="0" cellspacing="0" cellpadding="0">
    <tr>
     <td>
<% if ( "t".equals( u.getStaff( ) ) ) { %>
      <font face="arial" size="2" color="#ffffff">
       editions: [
       <% if ( ! "student".equals( edition ) ) { %><a href="/dailyBulletin?edition=student"><font color="#ffffff">student</font></a> |<% } %>
       <% if ( ! "staff".equals( edition ) ) { %><a href="/dailyBulletin?edition=staff"><font color="#ffffff">staff</font></a><% } %> <% if ( "student".equals( edition ) ) { %>|<% } %>
       <% if ( ! "parent".equals( edition ) ) { %><a href="/dailyBulletin?edition=parent"><font color="#ffffff">parent</font></a><% } %>
       ]
      </font>
<% } %>
     </td>
     <td>
      <font face="arial" size="2" color="#ffffff">
       [ <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> |
       <a href="http://start.stonybrookschool.org/merits"><font color="#ffffff">merits</font></a> |
       <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="#ffffff">email</font></a> ]
       &nbsp;&nbsp;
      </font>
     </td>
     <td align="right">
      <input type="text" size="16" name="q"><input type="submit" value="web search">
     </td>
    </tr>
   </table>
  </td>
 </tr>
 </form>
</table>

<table width="600" border="0" cellpadding="0">
 <tr>
  <td width="600">
   <table border="0" cellspacing="0" cellpadding="10">
<% if ( sv.size( ) > 0 ) { %>
    <tr>
     <td>
      <font face="arial" size="2">
       <b>stories you may publish:</b><br>
       to edit a story, click on it's headline.
      </font>
     </td>
    </tr>
<%   for ( int x = 0; x < sv.size( ); x ++ ) {
       Story s = (Story) sv.elementAt( x ); %>
    <tr>
     <td>
      <p align="justify">
<%
  SimpleDateFormat df = new SimpleDateFormat( "yyyy-MM-dd HH:mm:ss" );
  Date publishDate = df.parse( s.getPublishDate( ) );
  Date unpublishDate = df.parse( s.getUnpublishDate( ) );
  Date now = new Date( );
  SimpleDateFormat pdf = new SimpleDateFormat( "EEE, MMM d" );
  SimpleDateFormat udf = new SimpleDateFormat( "MMM d, yyyy" );
%>
<% if ( "published".equals( s.getState( ) ) ) {
     if ( now.before( publishDate ) ) { %><img src="/dailyBulletin/images/yellow-brick.gif" width="10" height="10"><% }
     if ( now.after( publishDate ) && now.before( unpublishDate ) ) { %><img src="/dailyBulletin/images/green-brick.gif" width="10" height="10"><% }
     if ( now.after( unpublishDate ) ) { %><img src="/dailyBulletin/images/green-x-brick.gif" width="10" height="10"><% }
   }
   else { %><img src="/dailyBulletin/images/red-brick.gif" width="10" height="10"><% } %>
       <font face="arial" size="2"><b><a href="/dailyBulletin?page=adminEditStory&storyId=<%= s.getId( ) %>"><%= s.getHead( ) %></a></b></font>
       <font face="arial" size="1">~<%= s.getUserName( ) %> - <%= pdf.format( publishDate ) %> to <%= udf.format( unpublishDate ) %> (<%= s.getPriority( ) %>)
       <% if ( s.getStudent( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/student-marker.gif" width="37" height="12"><% } %>
       <% if ( s.getStaff( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/staff-marker.gif" width="23" height="12"><% } %>
       <% if ( s.getParent( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/parent-marker.gif" width="33" height="12"><% } %></font><br>
       <font face="arial" size="2"><%= s.getText( ) %></font>
      </p>
     </td>
    </tr>
<%   } // end for loop
   }
   else { %>
    <tr>
     <td>
      <font face="arial" size="2">
       <b>no editable stories!</b><br>
       this is either because you haven't entered any stories or the publish date
       on all your stories has elapsed. please create a 
       <a href="/dailyBulletin?page=editStory&storyId=0">new story</a> first.
      </font>
     </td>
    </tr>
<% } %>         
   </table>
  </td>
 </tr>
</table>

<table width="600" border="0" cellspacing="0" cellpadding="2">
 <tr>
  <td bgcolor="#555588">
   <font face="arial" color="white" size="2">
    [ &nbsp; <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> &nbsp; | &nbsp;
    <a href="/merits"><font color="white">merits</font></a> &nbsp; | &nbsp;
    <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="white">email</font></a> &nbsp; ]
   </font>
  </td>
  <td bgcolor="#555588" align="right">
   <font face="arial" color="white" size="2">&copy; the stony brook school</font>
  </td>
 </tr>
</table>

</body>
</html>
