<%@ page language = "java" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.SimpleDateFormat" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.objects.*" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.CommonRoutines" %>
<%
   String error = (String) request.getAttribute( "error" );
   Locale l = Locale.US;
   SimpleDateFormat sdf = new SimpleDateFormat("EEEE, MMMM d, yyyy", l);
   String dateString = sdf.format( new Date( ) );

   String edition = (String) request.getSession( ).getAttribute( "edition" );
   User u = (User) request.getSession( ).getAttribute( "org.stonybrookschool.dailyBulletin.objects.user" );
   Story s = (Story) request.getAttribute( "story" );

   String d1 = s.getPublishDate( );
   if ( d1 == null ) {
     sdf = new SimpleDateFormat( "yyyy-MM-dd", l );
     d1 = sdf.format( new Date( new Date( ).getTime( ) ) );
   }
   StringTokenizer st1 = new StringTokenizer( d1, " " );
   String d2 = st1.nextToken( );
   StringTokenizer st2 = new StringTokenizer( d2, "-" );
   String publishYear  = st2.nextToken( );
   String publishMonth = st2.nextToken( );
   String publishDay   = st2.nextToken( );

   String d3 = s.getUnpublishDate( );
   if ( d3 == null ) {
     sdf = new SimpleDateFormat( "yyyy-MM-dd", l );
     d3 = sdf.format( new Date( new Date( ).getTime( ) + 86400000 ) );
   }
   StringTokenizer st3 = new StringTokenizer( d3, " " );
   String d4 = st3.nextToken( );
   StringTokenizer st4 = new StringTokenizer( d4, "-" );
   String unpublishYear  = st4.nextToken( );
   String unpublishMonth = st4.nextToken( );
   String unpublishDay   = st4.nextToken( );

   if ( s.getHead( ) == null )
     s.setHead( "" );

   if ( s.getText( ) == null )
     s.setText( "" );

   if ( s.getUserName( ) == null )
     s.setUserName( u.getFirst( ) + " " + u.getLast( ) );
%>

<html>

<head>
 <title>SBS Daily Bulletin: Story Editor</title>
</head>

<body bgcolor="#ffffff" link="#000000" vlink="#000000" alink="#000000" text="#000000">

<center>
<table width="600" border="0" cellspacing="0" cellpadding="0" link="#ffffff" vlink="#ffffff" alink="#ffffff" text="#ffffff">
 <tr>
  <td colspan="2"><a href="/dailyBulletin"><img src="/dailyBulletin/images/edit.gif" width="600" height="75" border="0"></a></td>
 </tr>
 <tr>
  <td width="600" bgcolor="#ccccff">
   <font face="arial" size="2"> <%= u.getFirst( ) %> <%= u.getLast( ) %> <%
    if ( "t".equals( u.getPublisher( ) ) ) { %>
      [ <a href="/dailyBulletin?page=admin">Admin</a> ]
    <% } %>
      [ <a href="/dailyBulletin?page=edit">Edit</a> ]
      [ <a href="/dailyBulletin?page=editStory&storyId=0">New</a> ]
      [ <a href="/dailyBulletin?page=logout">Logout</a> ]
   </font>
  </td>
  <td align="right" bgcolor="#ccccff">
   <nobr><font face="arial" size="2"><%= dateString %></font></nobr>
  </td>
 </tr>
 <form action="http://www.google.com/search" method="get">
 <tr>
  <td bgcolor="#555588" colspan="2">
   <table width="600" border="0" cellspacing="0" cellpadding="0">
    <tr>
     <td>
<% if ( "t".equals( u.getStaff( ) ) ) { %>
      <font face="arial" size="2" color="#ffffff">
       editions: [
       <% if ( ! "student".equals( edition ) ) { %><a href="/dailyBulletin?edition=student"><font color="#ffffff">student</font></a> |<% } %>
       <% if ( ! "staff".equals( edition ) ) { %><a href="/dailyBulletin?edition=staff"><font color="#ffffff">staff</font></a><% } %> <% if ( "student".equals( edition ) ) { %>|<% } %>
       <% if ( ! "parent".equals( edition ) ) { %><a href="/dailyBulletin?edition=parent"><font color="#ffffff">parent</font></a><% } %>
       ]
      </font>
<% } %>
     </td>
     <td>
      <font face="arial" size="2" color="#ffffff">
       [ <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> |
       <a href="http://start.stonybrookschool.org/merits"><font color="#ffffff">merits</font></a> |
       <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="#ffffff">email</font></a> ]
       &nbsp;&nbsp;
      </font>
     </td>
     <td align="right">
      <input type="text" size="16" name="q"><input type="submit" value="web search">
     </td>
    </tr>
   </table>
  </td>
 </tr>
 </form>
</table>

<table width="600" border="0" cellpadding="0">
 <form method="post" action="/dailyBulletin">
 <input type="hidden" name="page" value="postEdit">
 <input type="hidden" name="storyId" value="<%= s.getId( ) %>">
 <input type="hidden" name="userId" value="<%= u.getId( ) %>">
 <tr>
  <td align="center">
   <table border="0">
    <tr>
     <td align="right">
      <font face="arial" size="2">publish date:</font>
     </td>
     <td>
      <select name="publishMonth">
       <option value="01"<% if ( "01".equals( publishMonth ) ) { %> selected<% } %>>january</option>
       <option value="02"<% if ( "02".equals( publishMonth ) ) { %> selected<% } %>>february</option>
       <option value="03"<% if ( "03".equals( publishMonth ) ) { %> selected<% } %>>march</option>
       <option value="04"<% if ( "04".equals( publishMonth ) ) { %> selected<% } %>>april</option>
       <option value="05"<% if ( "05".equals( publishMonth ) ) { %> selected<% } %>>may</option>
       <option value="06"<% if ( "06".equals( publishMonth ) ) { %> selected<% } %>>june</option>
       <option value="07"<% if ( "07".equals( publishMonth ) ) { %> selected<% } %>>july</option>
       <option value="08"<% if ( "08".equals( publishMonth ) ) { %> selected<% } %>>august</option>
       <option value="09"<% if ( "09".equals( publishMonth ) ) { %> selected<% } %>>september</option>
       <option value="10"<% if ( "10".equals( publishMonth ) ) { %> selected<% } %>>october</option>
       <option value="11"<% if ( "11".equals( publishMonth ) ) { %> selected<% } %>>november</option>
       <option value="12"<% if ( "12".equals( publishMonth ) ) { %> selected<% } %>>december</option>
      </select>
      <select name="publishDay">
       <option value="01"<% if ( "01".equals( publishDay ) ) { %> selected<% } %>>1</option>
       <option value="02"<% if ( "02".equals( publishDay ) ) { %> selected<% } %>>2</option>
       <option value="03"<% if ( "03".equals( publishDay ) ) { %> selected<% } %>>3</option>
       <option value="04"<% if ( "04".equals( publishDay ) ) { %> selected<% } %>>4</option>
       <option value="05"<% if ( "05".equals( publishDay ) ) { %> selected<% } %>>5</option>
       <option value="06"<% if ( "06".equals( publishDay ) ) { %> selected<% } %>>6</option>
       <option value="07"<% if ( "07".equals( publishDay ) ) { %> selected<% } %>>7</option>
       <option value="08"<% if ( "08".equals( publishDay ) ) { %> selected<% } %>>8</option>
       <option value="09"<% if ( "09".equals( publishDay ) ) { %> selected<% } %>>9</option>
       <option value="10"<% if ( "10".equals( publishDay ) ) { %> selected<% } %>>10</option>
       <option value="11"<% if ( "11".equals( publishDay ) ) { %> selected<% } %>>11</option>
       <option value="12"<% if ( "12".equals( publishDay ) ) { %> selected<% } %>>12</option>
       <option value="13"<% if ( "13".equals( publishDay ) ) { %> selected<% } %>>13</option>
       <option value="14"<% if ( "14".equals( publishDay ) ) { %> selected<% } %>>14</option>
       <option value="15"<% if ( "15".equals( publishDay ) ) { %> selected<% } %>>15</option>
       <option value="16"<% if ( "16".equals( publishDay ) ) { %> selected<% } %>>16</option>
       <option value="17"<% if ( "17".equals( publishDay ) ) { %> selected<% } %>>17</option>
       <option value="18"<% if ( "18".equals( publishDay ) ) { %> selected<% } %>>18</option>
       <option value="19"<% if ( "19".equals( publishDay ) ) { %> selected<% } %>>19</option>
       <option value="20"<% if ( "20".equals( publishDay ) ) { %> selected<% } %>>20</option>
       <option value="21"<% if ( "21".equals( publishDay ) ) { %> selected<% } %>>21</option>
       <option value="22"<% if ( "22".equals( publishDay ) ) { %> selected<% } %>>22</option>
       <option value="23"<% if ( "23".equals( publishDay ) ) { %> selected<% } %>>23</option>
       <option value="24"<% if ( "24".equals( publishDay ) ) { %> selected<% } %>>24</option>
       <option value="25"<% if ( "25".equals( publishDay ) ) { %> selected<% } %>>25</option>
       <option value="26"<% if ( "26".equals( publishDay ) ) { %> selected<% } %>>26</option>
       <option value="27"<% if ( "27".equals( publishDay ) ) { %> selected<% } %>>27</option>
       <option value="28"<% if ( "28".equals( publishDay ) ) { %> selected<% } %>>28</option>
       <option value="29"<% if ( "29".equals( publishDay ) ) { %> selected<% } %>>29</option>
       <option value="30"<% if ( "30".equals( publishDay ) ) { %> selected<% } %>>30</option>
       <option value="31"<% if ( "31".equals( publishDay ) ) { %> selected<% } %>>31</option>
      </select>,
      <select name="publishYear">
       <option value="2000"<% if ( "2000".equals( publishYear ) ) { %> selected<% } %>>2000</option>
       <option value="2001"<% if ( "2001".equals( publishYear ) ) { %> selected<% } %>>2001</option>
       <option value="2002"<% if ( "2002".equals( publishYear ) ) { %> selected<% } %>>2002</option>
       <option value="2003"<% if ( "2003".equals( publishYear ) ) { %> selected<% } %>>2003</option>
       <option value="2004"<% if ( "2004".equals( publishYear ) ) { %> selected<% } %>>2004</option>
       <option value="2005"<% if ( "2005".equals( publishYear ) ) { %> selected<% } %>>2005</option>
       <option value="2006"<% if ( "2006".equals( publishYear ) ) { %> selected<% } %>>2006</option>
       <option value="2007"<% if ( "2007".equals( publishYear ) ) { %> selected<% } %>>2007</option>
       <option value="2008"<% if ( "2008".equals( publishYear ) ) { %> selected<% } %>>2008</option>
       <option value="2009"<% if ( "2009".equals( publishYear ) ) { %> selected<% } %>>2009</option>
       <option value="2010"<% if ( "2010".equals( publishYear ) ) { %> selected<% } %>>2010</option>
       <option value="2011"<% if ( "2011".equals( publishYear ) ) { %> selected<% } %>>2011</option>
       <option value="2012"<% if ( "2012".equals( publishYear ) ) { %> selected<% } %>>2012</option>
       <option value="2013"<% if ( "2013".equals( publishYear ) ) { %> selected<% } %>>2013</option>
       <option value="2014"<% if ( "2014".equals( publishYear ) ) { %> selected<% } %>>2014</option>
       <option value="2015"<% if ( "2015".equals( publishYear ) ) { %> selected<% } %>>2015</option>
       <option value="2016"<% if ( "2016".equals( publishYear ) ) { %> selected<% } %>>2016</option>
       <option value="2017"<% if ( "2017".equals( publishYear ) ) { %> selected<% } %>>2017</option>
       <option value="2018"<% if ( "2018".equals( publishYear ) ) { %> selected<% } %>>2018</option>
       <option value="2019"<% if ( "2019".equals( publishYear ) ) { %> selected<% } %>>2019</option>
       <option value="2020"<% if ( "2020".equals( publishYear ) ) { %> selected<% } %>>2020</option>
      </select>
     </td>
    </tr>
    <tr>
     <td align="right">
      <font face="arial" size="2">unpublish date:</font>
     </td>
     <td>
      <select name="unpublishMonth">
       <option value="01"<% if ( "01".equals( unpublishMonth ) ) { %> selected<% } %>>january</option>
       <option value="02"<% if ( "02".equals( unpublishMonth ) ) { %> selected<% } %>>february</option>
       <option value="03"<% if ( "03".equals( unpublishMonth ) ) { %> selected<% } %>>march</option>
       <option value="04"<% if ( "04".equals( unpublishMonth ) ) { %> selected<% } %>>april</option>
       <option value="05"<% if ( "05".equals( unpublishMonth ) ) { %> selected<% } %>>may</option>
       <option value="06"<% if ( "06".equals( unpublishMonth ) ) { %> selected<% } %>>june</option>
       <option value="07"<% if ( "07".equals( unpublishMonth ) ) { %> selected<% } %>>july</option>
       <option value="08"<% if ( "08".equals( unpublishMonth ) ) { %> selected<% } %>>august</option>
       <option value="09"<% if ( "09".equals( unpublishMonth ) ) { %> selected<% } %>>september</option>
       <option value="10"<% if ( "10".equals( unpublishMonth ) ) { %> selected<% } %>>october</option>
       <option value="11"<% if ( "11".equals( unpublishMonth ) ) { %> selected<% } %>>november</option>
       <option value="12"<% if ( "12".equals( unpublishMonth ) ) { %> selected<% } %>>december</option>
      </select>
      <select name="unpublishDay">
       <option value="01"<% if ( "01".equals( unpublishDay ) ) { %> selected<% } %>>1</option>
       <option value="02"<% if ( "02".equals( unpublishDay ) ) { %> selected<% } %>>2</option>
       <option value="03"<% if ( "03".equals( unpublishDay ) ) { %> selected<% } %>>3</option>
       <option value="04"<% if ( "04".equals( unpublishDay ) ) { %> selected<% } %>>4</option>
       <option value="05"<% if ( "05".equals( unpublishDay ) ) { %> selected<% } %>>5</option>
       <option value="06"<% if ( "06".equals( unpublishDay ) ) { %> selected<% } %>>6</option>
       <option value="07"<% if ( "07".equals( unpublishDay ) ) { %> selected<% } %>>7</option>
       <option value="08"<% if ( "08".equals( unpublishDay ) ) { %> selected<% } %>>8</option>
       <option value="09"<% if ( "09".equals( unpublishDay ) ) { %> selected<% } %>>9</option>
       <option value="10"<% if ( "10".equals( unpublishDay ) ) { %> selected<% } %>>10</option>
       <option value="11"<% if ( "11".equals( unpublishDay ) ) { %> selected<% } %>>11</option>
       <option value="12"<% if ( "12".equals( unpublishDay ) ) { %> selected<% } %>>12</option>
       <option value="13"<% if ( "13".equals( unpublishDay ) ) { %> selected<% } %>>13</option>
       <option value="14"<% if ( "14".equals( unpublishDay ) ) { %> selected<% } %>>14</option>
       <option value="15"<% if ( "15".equals( unpublishDay ) ) { %> selected<% } %>>15</option>
       <option value="16"<% if ( "16".equals( unpublishDay ) ) { %> selected<% } %>>16</option>
       <option value="17"<% if ( "17".equals( unpublishDay ) ) { %> selected<% } %>>17</option>
       <option value="18"<% if ( "18".equals( unpublishDay ) ) { %> selected<% } %>>18</option>
       <option value="19"<% if ( "19".equals( unpublishDay ) ) { %> selected<% } %>>19</option>
       <option value="20"<% if ( "20".equals( unpublishDay ) ) { %> selected<% } %>>20</option>
       <option value="21"<% if ( "21".equals( unpublishDay ) ) { %> selected<% } %>>21</option>
       <option value="22"<% if ( "22".equals( unpublishDay ) ) { %> selected<% } %>>22</option>
       <option value="23"<% if ( "23".equals( unpublishDay ) ) { %> selected<% } %>>23</option>
       <option value="24"<% if ( "24".equals( unpublishDay ) ) { %> selected<% } %>>24</option>
       <option value="25"<% if ( "25".equals( unpublishDay ) ) { %> selected<% } %>>25</option>
       <option value="26"<% if ( "26".equals( unpublishDay ) ) { %> selected<% } %>>26</option>
       <option value="27"<% if ( "27".equals( unpublishDay ) ) { %> selected<% } %>>27</option>
       <option value="28"<% if ( "28".equals( unpublishDay ) ) { %> selected<% } %>>28</option>
       <option value="29"<% if ( "29".equals( unpublishDay ) ) { %> selected<% } %>>29</option>
       <option value="30"<% if ( "30".equals( unpublishDay ) ) { %> selected<% } %>>30</option>
       <option value="31"<% if ( "31".equals( unpublishDay ) ) { %> selected<% } %>>31</option>
      </select>,
      <select name="unpublishYear">
       <option value="2000"<% if ( "2000".equals( unpublishYear ) ) { %> selected<% } %>>2000</option>
       <option value="2001"<% if ( "2001".equals( unpublishYear ) ) { %> selected<% } %>>2001</option>
       <option value="2002"<% if ( "2002".equals( unpublishYear ) ) { %> selected<% } %>>2002</option>
       <option value="2003"<% if ( "2003".equals( unpublishYear ) ) { %> selected<% } %>>2003</option>
       <option value="2004"<% if ( "2004".equals( unpublishYear ) ) { %> selected<% } %>>2004</option>
       <option value="2005"<% if ( "2005".equals( unpublishYear ) ) { %> selected<% } %>>2005</option>
       <option value="2006"<% if ( "2006".equals( unpublishYear ) ) { %> selected<% } %>>2006</option>
       <option value="2007"<% if ( "2007".equals( unpublishYear ) ) { %> selected<% } %>>2007</option>
       <option value="2008"<% if ( "2008".equals( unpublishYear ) ) { %> selected<% } %>>2008</option>
       <option value="2009"<% if ( "2009".equals( unpublishYear ) ) { %> selected<% } %>>2009</option>
       <option value="2010"<% if ( "2010".equals( unpublishYear ) ) { %> selected<% } %>>2010</option>
       <option value="2011"<% if ( "2011".equals( unpublishYear ) ) { %> selected<% } %>>2011</option>
       <option value="2012"<% if ( "2012".equals( unpublishYear ) ) { %> selected<% } %>>2012</option>
       <option value="2013"<% if ( "2013".equals( unpublishYear ) ) { %> selected<% } %>>2013</option>
       <option value="2014"<% if ( "2014".equals( unpublishYear ) ) { %> selected<% } %>>2014</option>
       <option value="2015"<% if ( "2015".equals( unpublishYear ) ) { %> selected<% } %>>2015</option>
       <option value="2016"<% if ( "2016".equals( unpublishYear ) ) { %> selected<% } %>>2016</option>
       <option value="2017"<% if ( "2017".equals( unpublishYear ) ) { %> selected<% } %>>2017</option>
       <option value="2018"<% if ( "2018".equals( unpublishYear ) ) { %> selected<% } %>>2018</option>
       <option value="2019"<% if ( "2019".equals( unpublishYear ) ) { %> selected<% } %>>2019</option>
       <option value="2020"<% if ( "2020".equals( unpublishYear ) ) { %> selected<% } %>>2020</option>
       <option value="2020"<% if ( "3000".equals( unpublishYear ) ) { %> selected<% } %>>3000</option>
      </select>
     </td>
    </tr>
    <tr>
     <td align="right">
      <font face="arial" size="2">submitted by:</font>
     </td>
     <td>
       <font face="arial" size="2"><%= s.getUserName( ) %></font>
     </td>
    </tr>
    <tr> 
     <td align="right">
      <font face="arial" size="2">headline:</font>
     </td>                                        
     <td>
      <input type="text" name="head" value="<%= s.getHead( ) %>" size="60">
     </td>
    </tr>
    <tr>
     <td align="right" valign="top">
      <font face="arial" size="2">text:</font>
     </td>
     <td>
      <textarea name="text" rows="10" cols="55"><%= CommonRoutines.unescapeHTML( s.getText( ) ) %></textarea><br>
      <font face="arial" size="1">note: for now there is no HTML allowed in posts</font>
     </td>
    </tr>
    <tr>
     <td colspan="2">
      <font face="arial" size="2">visible in these editions:</font>
     </td>
    </tr>
    <tr>
     <td align="right" valign="top">
      <font face="arial" size="2">student:</font>
     </td>
     <td>
      <input type="checkbox" name="student"<% if ( ( "t".equals( s.getStudent( ) ) ) || ( s.getId( ) == 0 ) ) { %> checked<% } %>><br>
     </td>
    </tr>
    <tr>
     <td align="right" valign="top">
      <font face="arial" size="2">staff:</font>
     </td>
     <td>
      <input type="checkbox" name="staff"<% if ( ( "t".equals( s.getStaff( ) ) ) || ( s.getId( ) == 0 ) ) { %> checked<% } %>><br>
     </td>
    </tr>
<% if ( "t".equals( u.getPublisher( ) ) ) { %>
    <tr>
     <td align="right" valign="top">
      <font face="arial" size="2">priority:</font>
     </td>
     <td>
      <select name="priority">
       <option value="1"<% if ( s.getPriority( ) == 1 ) { %> selected<% } %>>highest</option>
       <option value="2"<% if ( s.getPriority( ) == 2 ) { %> selected<% } %>>higher 8</option>
       <option value="3"<% if ( s.getPriority( ) == 3 ) { %> selected<% } %>>higher 7</option>
       <option value="4"<% if ( s.getPriority( ) == 4 ) { %> selected<% } %>>higher 6</option>
       <option value="5"<% if ( s.getPriority( ) == 5 ) { %> selected<% } %>>higher 5</option>
       <option value="6"<% if ( s.getPriority( ) == 6 ) { %> selected<% } %>>higher 4</option>
       <option value="7"<% if ( s.getPriority( ) == 7 ) { %> selected<% } %>>higher 3</option>
       <option value="8"<% if ( s.getPriority( ) == 8 ) { %> selected<% } %>>higher 2</option>
       <option value="9"<% if ( s.getPriority( ) == 9 ) { %> selected<% } %>>higher 1</option>
       <option value="10"<% if ( ( s.getPriority( ) == 10 ) || ( s.getId( ) == 0 ) ) { %> selected<% } %>>normal</option>
       <option value="11"<% if ( s.getPriority( ) == 11 ) { %> selected<% } %>>lower 1</option>
       <option value="12"<% if ( s.getPriority( ) == 12 ) { %> selected<% } %>>lower 2</option>
       <option value="13"<% if ( s.getPriority( ) == 13 ) { %> selected<% } %>>lower 3</option>
       <option value="14"<% if ( s.getPriority( ) == 14 ) { %> selected<% } %>>lower 4</option>
       <option value="15"<% if ( s.getPriority( ) == 15 ) { %> selected<% } %>>lower 5</option>
       <option value="16"<% if ( s.getPriority( ) == 16 ) { %> selected<% } %>>lower 6</option>
       <option value="17"<% if ( s.getPriority( ) == 17 ) { %> selected<% } %>>lower 7</option>
       <option value="18"<% if ( s.getPriority( ) == 18 ) { %> selected<% } %>>lower 8</option>
       <option value="19"<% if ( s.getPriority( ) == 19 ) { %> selected<% } %>>lowest</option>
      </select>
     </td>
    </tr>
    <tr>
     <td align="right" valign="top">
      <font face="arial" size="2">status:</font>
     </td>
     <td> <font face="arial" size="2">
	<input name="state" type="radio" value="pending" <%
	  if ( "pending".equals( s.getState( ) ) || ( s.getId( ) == 0 ) ) { %> checked <% } %> >pending
        <input name="state" type="radio" value="published" <%
          if ( "published".equals( s.getState( ) ) ) { %> checked <% } %> >published</font>
     </td>
    </tr>
<% } %>
    <tr>
     <td colspan="2" align="center">
      <input type="submit" value="update &gt;&gt;">
     </td>
    </tr>
   </table>
  </td>
 </tr>
 </form>
</table>

<table width="600" border="0" cellspacing="0" cellpadding="2">
 <tr>
  <td bgcolor="#555588">
   <font face="arial" color="white" size="2">
    [ &nbsp; <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> &nbsp; | &nbsp;
    <a href="/merits"><font color="white">merits</font></a> &nbsp; | &nbsp;
    <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="white">email</font></a> &nbsp; ]
   </font>
  </td>
  <td bgcolor="#555588" align="right">
   <font face="arial" color="white" size="2">&copy; the stony brook school</font>
  </td>
 </tr>
</table>

</body>
</html>
