<%@ page language = "java" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.SimpleDateFormat" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.objects.*" %>
<%@ page import = "org.stonybrookschool.dailyBulletin.CommonRoutines" %>
<%
   Locale l = Locale.US;
   SimpleDateFormat sdf = new SimpleDateFormat("EEEE, MMMM d, yyyy", l);
   String dateString = sdf.format( new Date( ) );
   User u = (User) request.getSession( ).getAttribute( "org.stonybrookschool.dailyBulletin.objects.user" );
   Vector sv = (Vector) request.getAttribute( "storyVector" );
   String edition = (String) request.getSession( ).getAttribute( "edition" );

   String dateS = (String) request.getAttribute( "date" );
%>

<html>

<head>
 <title>SBS Daily Bulletin: <%= dateS %></title>
</head>

<body bgcolor="#ffffff" link="#000000" vlink="#000000" alink="#000000" text="#000000">

<center>
<table width="600" border="0" cellspacing="0" cellpadding="0" link="#ffffff" vlink="#ffffff" alink="#ffffff" text="#ffffff">
 <tr>
  <td colspan="2"><a href="/dailyBulletin"><img src="/dailyBulletin/images/<%= edition %>.gif" width="600" height="75" border="0"></a></td>
 </tr>
 <tr>
  <td width="600" bgcolor="#ccccff">
<% if (request.getSession( ).getAttribute( "org.stonybrookschool.dailyBulletin.objects.user" ) != null )
	{ %><font face="arial" size="2"> <%= u.getFirst( ) %> <%= u.getLast( ) %> <%
	if ( "t".equals( u.getPublisher( ) ) ) 
		{ %>[ <a href="/dailyBulletin?page=admin">Admin</a> ]<%
		} %>
	   [ <a href="/dailyBulletin?page=edit">Edit</a> ]
	   [ <a href="/dailyBulletin?page=editStory&storyId=0">New</a> ]
	   [ <a href="/dailyBulletin?page=logout">Logout</a> ]<%;
	}
	else
	{ %><form name="inputForm" method="post" action="/dailyBulletin">
            <input type="hidden" name="page" value="login">
            <input type="hidden" name="fromPage" value="frontPage">
	    <font face="arial" size="2">
	    user:<input type="text" name="username" size="12">
	    pass:<input type="password" name="password" size="8">
	    <input type="submit" value="enter &gt;&gt;"><% 
	} %>
  </td>
  <td align="right" bgcolor="#ccccff">
   <nobr><font face="arial" size="2"><%= dateString %></font></nobr>
  </td>
 </tr>
 </form>
 <form action="http://www.google.com/search" method="get">
 <tr>
  <td bgcolor="#555588" colspan="2">
   <table width="600" border="0" cellspacing="0" cellpadding="0">
    <tr>
     <td>
<% if ( ( u != null ) && ( "t".equals( u.getStaff( ) ) ) ) { %>
      <font face="arial" size="2" color="#ffffff">
       editions: [
       <% if ( ! "student".equals( edition ) ) { %><a href="/dailyBulletin?edition=student"><font color="#ffffff">student</font></a> |<% } %>
       <% if ( ! "staff".equals( edition ) ) { %><a href="/dailyBulletin?edition=staff"><font color="#ffffff">staff</font></a><% } %> <% if ( "student".equals( edition ) ) { %>|<% } %>
       <% if ( ! "parent".equals( edition ) ) { %><a href="/dailyBulletin?edition=parent"><font color="#ffffff">parent</font></a><% } %>
       ]
      </font>
<% } %>
     </td>
     <td>
      <font face="arial" size="2" color="#ffffff">
       [ <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> |
       <a href="http://start.stonybrookschool.org/merits"><font color="#ffffff">merits</font></a> |
       <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="#ffffff">email</font></a> ]
       &nbsp;&nbsp;
      </font>
     </td>
     <td align="right">
      <input type="text" size="16" name="q"><input type="submit" value="web search">
     </td>
    </tr>
   </table>
  </td>
 </tr>
 </form>
</table>

<table width="600" border="0" cellpadding="10">
<%
  for ( int x = 0; x < sv.size( ); x ++ ) {
    Story s = (Story) sv.elementAt( x ); 
    SimpleDateFormat df = new SimpleDateFormat( "yyyy-MM-dd HH:mm:ss" );
    Date publishDate = df.parse( s.getPublishDate( ) );
    df = new SimpleDateFormat( "EEE, MMM d, yyyy" );
 %>
 <tr>
  <td width="600">
   <p align="justify">
    <font face="arial" size="2"><b><%=s.getHead( ) %></b></font>
    <font face="arial" size="1">~<%= s.getUserName( ) %> - <%= df.format( publishDate ) %></font>
    <% if ( edition.equals( "staff" ) ) { %>
    <% if ( s.getStudent( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/student-marker.gif" width="37" height="12"><% } %>
    <% if ( s.getStaff( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/staff-marker.gif" width="23" height="12"><% } %>
    <% if ( s.getParent( ).equals( "t" ) ) { %><img src="/dailyBulletin/images/parent-marker.gif" width="33" height="12"><% } } %><br>
    <font face="arial" size="2"><%= s.getText( ) %></b>
    </font>
   </p>
  </td>
 </tr>
<% } %>
</table>

<table width="600" border="0" cellspacing="0" cellpadding="2">
 <tr>
  <td bgcolor="#555588">
   <font face="arial" color="white" size="2">
    [ &nbsp; <a href="http://start.stonybrookschool.org/mockMarket"><font color="#ffffff">mock market</font></a> &nbsp; | &nbsp;
    <a href="http://start.stonybrookschool.org/merits"><font color="white">merits</font></a> &nbsp; | &nbsp;
    <a href="http://smtp.sbs.pvt.k12.ny.us/exchange"><font color="white">email</font></a> &nbsp; ]
   </font>
  </td>
  <td bgcolor="#555588" align="right">
   <font face="arial" color="white" size="2">&copy; the stony brook school</font>
  </td>
 </tr>
</table>

</body>
</html>












